package com.ruoyi.project.check.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.check.mapper.TCheckInstrumentMapper;
import com.ruoyi.project.check.domain.TCheckInstrument;
import com.ruoyi.project.check.service.ITCheckInstrumentService;

/**
 * 仪器Service业务层处理
 *
 * @author ruoyi
 * @date 2022-11-22
 */
@Service
public class TCheckInstrumentServiceImpl implements ITCheckInstrumentService
{
    @Autowired
    private TCheckInstrumentMapper tCheckInstrumentMapper;

    /**
     * 查询仪器
     *
     * @param id 仪器主键
     * @return 仪器
     */
    @Override
    public TCheckInstrument selectTCheckInstrumentById(Long id)
    {
        return tCheckInstrumentMapper.selectTCheckInstrumentById(id);
    }

    /**
     * 查询仪器列表
     *
     * @param tCheckInstrument 仪器
     * @return 仪器
     */
    @Override
    public List<TCheckInstrument> selectTCheckInstrumentList(TCheckInstrument tCheckInstrument)
    {
        return tCheckInstrumentMapper.selectTCheckInstrumentList(tCheckInstrument);
    }
    @Override
    public List<TCheckInstrument> selectAllInstrument()
    {
        return tCheckInstrumentMapper.selectAllInstrument();
    }

    /**
     * 新增仪器
     *
     * @param tCheckInstrument 仪器
     * @return 结果
     */
    @Override
    public int insertTCheckInstrument(TCheckInstrument tCheckInstrument)
    {
        return tCheckInstrumentMapper.insertTCheckInstrument(tCheckInstrument);
    }

    /**
     * 修改仪器
     *
     * @param tCheckInstrument 仪器
     * @return 结果
     */
    @Override
    public int updateTCheckInstrument(TCheckInstrument tCheckInstrument)
    {
        return tCheckInstrumentMapper.updateTCheckInstrument(tCheckInstrument);
    }

    /**
     * 批量删除仪器
     *
     * @param ids 需要删除的仪器主键
     * @return 结果
     */
    @Override
    public int deleteTCheckInstrumentByIds(Long[] ids)
    {
        return tCheckInstrumentMapper.deleteTCheckInstrumentByIds(ids);
    }

    /**
     * 删除仪器信息
     *
     * @param id 仪器主键
     * @return 结果
     */
    @Override
    public int deleteTCheckInstrumentById(Long id)
    {
        return tCheckInstrumentMapper.deleteTCheckInstrumentById(id);
    }
}
